<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="ltsaeclipse"
   name="ltsaeclipse Plug-in"
   version="0.3.0"
   provider-name="DoC Imperial College"
   class="ltsaeclipse.ltsaeclipsePlugin">

   <runtime>
      <library name="ltsaeclipse.jar"/>
      <library name="lib/jdom.jar"/>
      <library name="lib/jel.jar"/>
      <library name="lib/LTL2Buchi.jar"/>
      <library name="lib/ltsa.jar"/>
      <library name="lib/scenebeans.jar"/>
      <library name="lib/xercesImpl.jar"/>
      <library name="lib/xml-apis.jar"/>
      <library name="lib/xml.jar"/>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
   </requires>


   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="LTSA Editor"
            extensions="lts"
            icon="icons/sample.gif"
            contributorClass="ltsaeclipse.editor.ui.actions.LTSAEditorActionBarContributor"
            class="ltsaeclipse.editors.MultiPageEditor"
            id="ltsaeclipse.editors.MultiPageEditor">
      </editor>
      <editor
            name="LTSA-BPEL Editor"
            extensions="bpel"
            icon="icons/sample.gif"
            contributorClass="ltsaeclipse.editor.ui.actions.LTSAEditorActionBarContributor"
            class="ltsaeclipse.editors.MultiPageEditor"
            id="ltsaeclipse.editors.MultiPageEditor">
      </editor>
      <editor
            name="LTSA-MSC Editor"
            extensions="msc,xml"
            icon="icons/sample.gif"
            contributorClass="ltsaeclipse.editor.ui.actions.LTSAEditorActionBarContributor"
            class="ltsaeclipse.editors.MultiPageEditor"
            id="ltsaeclipse.editors.MultiPageEditor">
      </editor>
      <editor
            name="LTSA-BPWS4J Log"
            extensions="log"
            icon="icons/sample.gif"
            contributorClass="ltsaeclipse.editor.ui.actions.LTSAEditorActionBarContributor"
            class="ltsaeclipse.editors.MultiPageEditor"
            id="ltsaeclipse.editors.MultiPageEditor">
      </editor>
   </extension>

   <extension
         point="org.eclipse.ui.popupMenus">
      <viewerContribution id="ltsaeclipse.editors.MultiPageEditor.menu.navigator"
      targetID="org.eclipse.ui.views.ResourceNavigator">
	  <action id="ltsaeclipse.editors.MultiPageEditor.menu.navigator.compile"
	  label="Compile FSP"
	  icon="icons/compile.gif"
	  menubarPath="LTSA Navigator"
	  class="ltsaeclipse.editor.ui.actions.CompileActionDelegate"
	  enablesFor="+">
	  </action>	  
	</viewerContribution>
   </extension>
   
<extension point="org.eclipse.ui.perspectives">
   <perspective
         name="LTSA Perspective"
         icon="icons/sample.gif"
         class="ltsaeclipse.perspectives.ltsaPerspective"
         id="ltsaeclipse.perspectives.ltsa">
   </perspective>
</extension>

<extension id="marker" name="LTSProblemMarker" point="org.eclipse.core.resources.markers">
   <super type="org.eclipse.core.resources.problemmarker"/>
   <super type="org.eclipse.core.resources.textmarker"/>
</extension>

   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="Sample Wizards"
            id="ltsaeclipse">
      </category>
      <wizard
            name="LTSA Editor file"
            icon="icons/sample.gif"
            category="ltsaeclipse"
            class="ltsaeclipse.wizards.SampleNewWizard"
            id="ltsaeclipse.wizards.SampleNewWizard">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <category
            name="LTSA"
            id="ic.doc.ltsa.eclipse.views">
      </category>
      <view
            name="Output"
            icon="icons/sample.gif"
            category="ic.doc.ltsa.eclipse.views"
            class="ltsaeclipse.views.LTSACompilerView"
            id="ltsaeclipse.views.LTSACompilerView">
      </view>
      <view
            name="LTS Process"
            icon="icons/sample.gif"
            category="ic.doc.ltsa.eclipse.views"
            class="ltsaeclipse.views.LTSADrawView"
            id="ltsaeclipse.views.LTSADrawView">
      </view>
      <view
            name="LTSA WS Choreography"
            icon="icons/sample.gif"
            category="ic.doc.ltsa.eclipse.views"
            class="ltsaeclipse.views.LTSAWSChoreographyView"
            id="ltsaeclipse.views.LTSAWSChoreographyView">
      </view>
   </extension>

   <extension
         point="org.eclipse.ui.viewActions">
      <viewContribution
            targetID="ltsaeclipse.views.LTSADrawView"
            id="ltsaeclipse.views.LTSADrawView.pushbutton">
         <!-- Original button -->
         <action
               label="OriginalSize"
               icon="icons/Original16.gif"
               tooltip="Original size"
               class="ltsaeclipse.views.DrawActions"
               toolbarPath="push_group"
               enablesFor="*"
               id="toolbar.original">
         </action>
         <!-- ZoomIn button -->
         <action
               label="Reduce H"
               icon="icons/compressHorizontal.gif"
               tooltip="Reduce Width"
               class="ltsaeclipse.views.DrawActions"
               toolbarPath="push_group"
               enablesFor="*"
               id="toolbar.reduceHorizontal">
         </action>
         <!-- ZoomOut button -->
         <action
               label="Expand H"
               icon="icons/stretchHorizontal.gif"
               tooltip="Expand Width"
               class="ltsaeclipse.views.DrawActions"
               toolbarPath="push_group"
               enablesFor="*"
               id="toolbar.stretchHorizontal">
         </action>

         <action
               label="Reduce H"
               icon="icons/compressVertical.gif"
               tooltip="Reduce Height"
               class="ltsaeclipse.views.DrawActions"
               toolbarPath="push_group"
               enablesFor="*"
               id="toolbar.reduceVertical">
         </action>
         <!-- ZoomOut button -->
         <action
               label="Expand V"
               icon="icons/stretchVertical.gif"
               tooltip="Expand Height"
               class="ltsaeclipse.views.DrawActions"
               toolbarPath="push_group"
               enablesFor="*"
               id="toolbar.stretchVertical">
         </action>
      </viewContribution>
   </extension>


</plugin>
